mojojojo69
Marine/Ocean
- Mar 7, 2006
- 23
I'm trying to decipher the code to translate an Iges file.
Dim oOptions As NameValueMap
Set oOptions = ThisApplication.TransientObjects.CreateNameValueMap
If oIGESTranslator.HasSaveCopyAsOptions(ThisApplication.ActiveDocument, oContext, oOptions) Then
' Set geometry type for wireframe.
' 0 = Surfaces, 1 = Solids, 2 = Wireframe
oOptions.Value("GeometryType") = 1
The problem I have is how do find out that "GeometryType" corresponds to the option "Output Solids As". How do I find the NameValueMap value ID for "tolerance" and "include sketches"? I've been looking everywhere I can in the help, but to no end.
Dim oOptions As NameValueMap
Set oOptions = ThisApplication.TransientObjects.CreateNameValueMap
If oIGESTranslator.HasSaveCopyAsOptions(ThisApplication.ActiveDocument, oContext, oOptions) Then
' Set geometry type for wireframe.
' 0 = Surfaces, 1 = Solids, 2 = Wireframe
oOptions.Value("GeometryType") = 1
The problem I have is how do find out that "GeometryType" corresponds to the option "Output Solids As". How do I find the NameValueMap value ID for "tolerance" and "include sketches"? I've been looking everywhere I can in the help, but to no end.